Name:           jaxb2-maven-plugin
Version:        1.3.1
Release:        1%{?dist}
Summary:        Maven JAXB 2 Plugin
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://mojo.codehaus.org/jaxb2-maven-plugin/


# svn export https://svn.codehaus.org/mojo/tags/jaxb2-maven-plugin-1.3.1
# tar czf jaxb2-maven-plugin-1.3.1-src-svn.tar.gz jaxb2-maven-plugin-1.3.1
Source0:       %{name}-%{version}-src-svn.tar.gz

Patch0:        %{name}-%{version}-pom.patch

BuildArch:	noarch

BuildRequires:  java
BuildRequires:  maven
BuildRequires:  jpackage-utils
BuildRequires:  xml-commons-resolver
#BuildRequires:	maven-surefire-provider-junit4
BuildRequires:  maven-anno-mojo
BuildRequires:  glassfish-jaxb
BuildRequires:  codemodel

Requires:       codemodel
Requires:       glassfish-jaxb
Requires:       java
Requires:       maven
Requires:       jpackage-utils
Requires:       xml-commons-resolver

%description
JAXB2 compiler plugin used to create object graph from XSDs based on the JAXB 2.1 implementation.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
The API documentation of %{name}.

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild -DskipTests=true install javadoc:aggregate 

%install
# JAR
install -Dpm 644 target/jaxb2-maven-plugin-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# JAVADOC
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Fri Jan 20 2011 Tomas Radej <tradej@redhat.com> - 1.0-1
- Initial packaging
